

On Tue, Dec 23, 2003 at 03:31:32PM -0800, Andrew Morton wrote:
> Adam Belay <ambx1@neo.rr.com> wrote:
> >
> > The
> > patch I have attached to the bug report seems to fix the problem for one of my
> > test boxes
>
> Can you please send me a copy?

Sure.

Thanks,
Adam



 25-akpm/drivers/pnp/pnpbios/bioscalls.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/pnp/pnpbios/bioscalls.c~pnp-bios-fix drivers/pnp/pnpbios/bioscalls.c
--- 25/drivers/pnp/pnpbios/bioscalls.c~pnp-bios-fix	Tue Dec 23 15:52:55 2003
+++ 25-akpm/drivers/pnp/pnpbios/bioscalls.c	Tue Dec 23 15:52:55 2003
@@ -493,7 +493,7 @@ static int __pnp_bios_read_escd(char *da
 	if (!pnp_bios_present())
 		return ESCD_FUNCTION_NOT_SUPPORTED;
 	status = call_pnp_bios(PNP_READ_ESCD, 0, PNP_TS1, PNP_TS2, PNP_DS, 0, 0, 0,
-			       data, 65536, (void *)nvram_base, 65536);
+			       data, 65536, __va((void *)nvram_base), 65536);
 	return status;
 }
 
@@ -516,7 +516,7 @@ static int pnp_bios_write_escd(char *dat
 	if (!pnp_bios_present())
 		return ESCD_FUNCTION_NOT_SUPPORTED;
 	status = call_pnp_bios(PNP_WRITE_ESCD, 0, PNP_TS1, PNP_TS2, PNP_DS, 0, 0, 0,
-			       data, 65536, nvram_base, 65536);
+			       data, 65536, __va((void *)nvram_base), 65536);
 	return status;
 }
 #endif

_
